#!/bin/bash

# 腾讯云 TCR 配置
TCR_SERVER="ccr.ccs.tencentyun.com"
TCR_NAMESPACE="sqai"
TCR_REPO="sqaii"
TCR_USERNAME="xiaoyan99817"
TCR_PASSWORD="xiaoyan99817"

# 需要上传的镜像（从 `docker-compose.yml` 获取的）
IMAGES=(
    "ghcr.io/danny-avila/librechat-dev:latest"
    "getmeili/meilisearch:v1.12.3"
    "ankane/pgvector:latest"
    "ghcr.io/danny-avila/librechat-rag-api-dev-lite:latest"
)

# 登录腾讯云 TCR
echo "🚀 登录到腾讯云 TCR..."
docker login $TCR_SERVER -u "$TCR_USERNAME" -p "$TCR_PASSWORD"

# 遍历镜像进行拉取、标记、推送
for IMAGE in "${IMAGES[@]}"; do
    IMAGE_NAME=$(echo $IMAGE | awk -F'/' '{print $NF}')  # 提取镜像名称
    TAG=$(echo $IMAGE_NAME | awk -F':' '{print $2}')  # 提取Tag
    IMAGE_NAME=$(echo $IMAGE_NAME | awk -F':' '{print $1}')  # 去掉Tag的镜像名

    echo "🔹 拉取镜像: $IMAGE"
    docker pull $IMAGE

    TCR_IMAGE="$TCR_SERVER/$TCR_NAMESPACE/$TCR_REPO:$IMAGE_NAME-$TAG"
    
    echo "🔹 重新标记镜像: $TCR_IMAGE"
    docker tag $IMAGE $TCR_IMAGE

    echo "🚀 正在推送镜像到腾讯云 TCR: $TCR_IMAGE"
    docker push $TCR_IMAGE

    echo "✅ 镜像上传完成: $TCR_IMAGE"
done

echo "🎉 所有镜像上传完毕！"